#include <bits/stdc++.h>
using namespace std;
int main() {
    string s,f="",f1="";
    cin>>s;
    reverse(s.begin(),s.end());
    for(int i=0;i<s.size();i++){
        if(s[i]=='2'){f=f+'5';
        }else if(s[i]=='5'){f=f+'2';}else{f=f+s[i];}
    }
    int k=0;
    while(f[k]=='0'){
        k++;
    }
    for(int i=k;i<f.size();i++){
        f1=f1+f[i];
    }
    cout<<f1<<endl;;
    return 0;
}
